spacer
search icon cross white
spacer bookmark cross
search icon
Search Tags

  Total: Bookmarks

 Bookmark(s) Click icon to add bookmark(s) to my profile

  •  Local Bookmark is Empty

 User Profile Bookmark(s)

  •  Profile is Empty
MENU
spacer
bookmark cross white
A
search icon cross white
search icon
Search Tags

  Total: Bookmarks

Click icon to add bookmark(s) to my profile

 Bookmark(s)

 User Profile Bookmark(s)

close

Forgot password / username Re-send activiation email Register an account

System requirements

Minimum system requirements for accessing e-Manager courses

 

Computer Requirements

1. Learner workstations

 

  • Minimum 2.33GHz or faster x86-compatible processor required to adequately support the optional audio playback functions of the courses, where required.
  • Audio playback
  • 32-bit / 64-bit operating system (Windows 7 or Windows8)
  • Minimum 4GB RAM (8RAM recommended)
    - For end users: minimum 800x600 resolution, 32-bit colors
  •  Connectivity to the web server (including permissions) via browser

 

 

2. Browser requirements

 

  • Skillsoft supports the following browsers, which all support TLS 1.2: 
    - Microsoft Edge v14+ (Windows 10 only)
    - Microsoft Internet Explorer 11 (Windows 7, 8.1, 10)
    - Google Chrome v63+ (Windows 7, 8.1, 10)
    - Mozilla Firefox v52+ (Windows 7, 8.1, 10)

     - Apple Safari v10.1+ (macOS only)

 

Skillsoft will be dropping support for Microsoft Internet Explorer versions 10 and earlier, which do not support TLS 1.2 by default. Users attempting to use a browser that does not support TLS 1.2 will be unable to connect to Skillsoft hosted services after June 1, 2018.

 

  • Flash player version 10 or above
  • Pop-up blocker should be disabled
  • Browser size should be set at 100%
  • Accept cookies
    - Cookies are required for SkillPort
    - If cookies are disabled and an LMS or SkillPort are not used, results are not tracked
  • Enable browser caching (course and simulation performance are degraded if caching is not enabled)

 

  

Tablet Requirements

  

The courses require the following configurations on tablets: 

 

Operating System Browser Minimum Screen Resolution (Pixels)
Android 4.1 or later Native browser
Google Chrome browser
1024 x 600
Apple iOS 7.x, 8.x, 9.x Native mobile Safari browser 1024 x 768
Windows 8, 8.1 Pro Native browser 1024 x 768

 

Notes:

  • To enable mobile course play, you must turn off pop-up blockers
  • Samsung Galaxy Note 10 users must use Google Chrome as the native browser is not supported
  • Samsung 7" tablets are not supported

 

 

 

 

 

 

 

gotop